%define section free

Name:           excalibur-io
Version:        1.1
Release:        1jpp
Epoch:          0
Summary:        Excalibur IO Utils
License:        Apache Software License
URL:            http://excalibur.apache.org/
Group:          Development/Libraries/Application Frameworks
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.apache.org/dist/avalon/excalibur/components/deprecated/io/excalibur-io-1.1.zip
Source1:        excalibur-io-build.xml
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Avalon Excalibur was created in order to ease development of new
projects. To that end, Excalibur contains a number of ready to use
components and utilities that handle everything from command line
parsing to thread concurrency management.
The components in the Excalibur package have been well tested and do
work reliably.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
mkdir -p src/java
pushd src/java
unzip -q ../../src.zip
popd
cp %{SOURCE1} build.xml


# -----------------------------------------------------------------------------

%build

ant -Dnoget=true dist

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/excalibur
cp -p dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/excalibur/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/excalibur && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -sf %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.txt
%{_javadir}/excalibur/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- First JPackage build

